## dsfmt 2.2.3%2Bdfsg

=== debian/watch ===
version=3
opts="repack,compression=xz,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg" \
http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/SFMT/ dSFMT-src-(\d\S*).tar.gz
