## dsfmt 2.2.3+dfsg

=== debian/changelog ===
dsfmt (2.2.3+dfsg-2) unstable; urgency=medium

  * Disable unsupported Altivec on ppc64el to fix FTBFS.
  * Enable Altivec on powerpc.

 -- Peter Colberg <peter@colberg.org>  Sun, 08 Nov 2015 11:48:49 -0500

dsfmt (2.2.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #803354)

 -- Peter Colberg <peter@colberg.org>  Wed, 28 Oct 2015 23:52:43 -0400
