=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
http://www.math.sci.hiroshima-u.ac.jp/~m-mat/MT/SFMT/ dSFMT-src-(\d\S*).tar.gz
